Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List notification preferences

GET/workspaces/{organizationId}/notification-preferences
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

My notification delivery preferences

organizationIdstringrequired
userIdstringrequired
inAppbooleanrequired
webhookbooleanrequired
emailboolean | nullrequired
emailExplicitbooleanrequired
mutedTypesstring[] | nullrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/notification-preferences' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "organizationId": "string",
  "userId": "string",
  "inApp": true,
  "webhook": true,
  "email": true,
  "emailExplicit": true,
  "mutedTypes": [
    "string"
  ],
  "updatedAt": "string"
}

Was this page helpful?